org.apache.poi.poifs.crypt.cryptoapi

## Class CryptoAPIEncryptionVerifier

- java.lang.Object
- - org.apache.poi.poifs.crypt.EncryptionVerifier
  - - org.apache.poi.poifs.crypt.standard.StandardEncryptionVerifier
    - - org.apache.poi.poifs.crypt.cryptoapi.CryptoAPIEncryptionVerifier

- All Implemented Interfaces:
    Duplicatable, GenericRecord, EncryptionRecord

      public class CryptoAPIEncryptionVerifier
      extends StandardEncryptionVerifier

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CryptoAPIEncryptionVerifier(CipherAlgorithm cipherAlgorithm, HashAlgorithm hashAlgorithm, int keyBits, int blockSize, ChainingMode chainingMode)`
    `protected` | `CryptoAPIEncryptionVerifier(CryptoAPIEncryptionVerifier other)`
    `protected` | `CryptoAPIEncryptionVerifier(LittleEndianInput is, CryptoAPIEncryptionHeader header)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CryptoAPIEncryptionVerifier` | `copy()`
    `protected void` | `setEncryptedVerifier(byte[] encryptedVerifier)`
    `protected void` | `setEncryptedVerifierHash(byte[] encryptedVerifierHash)`
    `protected void` | `setSalt(byte[] salt)`

    - ### Methods inherited from class org.apache.poi.poifs.crypt.standard.StandardEncryptionVerifier

      `getVerifierHashSize, write`

    - ### Methods inherited from class org.apache.poi.poifs.crypt.EncryptionVerifier

      `getChainingMode, getCipherAlgorithm, getEncryptedKey, getEncryptedVerifier, getEncryptedVerifierHash, getGenericProperties, getHashAlgorithm, getSalt, getSpinCount, setChainingMode, setCipherAlgorithm, setEncryptedKey, setHashAlgorithm, setSpinCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Constructor Detail

    - #### CryptoAPIEncryptionVerifier

          protected CryptoAPIEncryptionVerifier(LittleEndianInput is,
                                                CryptoAPIEncryptionHeader header)

    - #### CryptoAPIEncryptionVerifier

          protected CryptoAPIEncryptionVerifier(CipherAlgorithm cipherAlgorithm,
                                                HashAlgorithm hashAlgorithm,
                                                int keyBits,
                                                int blockSize,
                                                ChainingMode chainingMode)

    - #### CryptoAPIEncryptionVerifier

          protected CryptoAPIEncryptionVerifier(CryptoAPIEncryptionVerifier other)

  - ### Method Detail

    - #### setSalt

          protected void setSalt(byte[] salt)

      Overrides:
        `setSalt` in class `StandardEncryptionVerifier`

    - #### setEncryptedVerifier

          protected void setEncryptedVerifier(byte[] encryptedVerifier)

      Overrides:
        `setEncryptedVerifier` in class `StandardEncryptionVerifier`

    - #### setEncryptedVerifierHash

          protected void setEncryptedVerifierHash(byte[] encryptedVerifierHash)

      Overrides:
        `setEncryptedVerifierHash` in class `StandardEncryptionVerifier`

    - #### copy

          public CryptoAPIEncryptionVerifier copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Overrides:
        `copy` in class `StandardEncryptionVerifier`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.